# Illustration of ALSCRIPT Command File
#
# Illustrates some of the MASK commands
#
# example 1                    # Comment lines begin with the # symbol
#
#
# (A) Input and output files:
#
BLOCK_FILE    example1.blc             # Define the block file to format
OUTPUT_FILE   example5.ps               # Where to put the result
#
MAX_SIDE     11                         # Fiddle with margins...
Y_OFFSET     50				# This is just to fill the page with the 
X_OFFSET     80				# Alignment.  Defaults normally work OK
#
# (B) Page Layout and overall spacing:
#
ADD_SEQ  38  1                          # Make space after sequence 38
ADD_SEQ  39  3                          # Make space after sequence 39        
ADD_SEQ  69  1
PORTRAIT                                # Portrait paper orientation
POINTSIZE   10                          # 10 point default pointsize
#NUMBER_SEQS  1                          # Set to 1 for numbers at left of plot
IDENT_WIDTH 8
#
# (C) Font definitions:
#
DEFINE_FONT 0 Helvetica      DEFAULT    # Set font 0 to be Helvetica at default pointsize
DEFINE_FONT 1 Helvetica REL  0.75       # Set font 1 to be 0.75 times default Helvetica
DEFINE_FONT 3 Helvetica-Bold DEFAULT    
DEFINE_FONT 4 Times-Bold     DEFAULT   
DEFINE_FONT 5 Helvetica-BoldOblique  DEFAULT 
DEFINE_FONT 6 Times-Roman DEFAULT
SETUP                                   # Tell the program to get on with the formatting
#
# some formatting commands
#
#SURROUND_CHARS LIV   ALL                # Surround all L and Y characters
#FONT_CHARS     IV    ALL  5             # Use font 5 for all I and V characters
#FONT_CHARS     ASN   ALL  1             # Show A and S and N characters in small caps
#FONT_CHARS     KR    ALL  4             # Show K and R in Times-Bold
#BOX_REGION     14  1  16 38             # Rectangular box of residues 14-16
#SHADE_CHARS     +    ALL   0.0          # Shade all + characters black
#SURROUND_CHARS 56+789  1 40 27 40       # Box numbers and + on line 40
#LINE      TOP     2     40     8        # Draw horizontal lines to 
#LINE   BOTTOM     2     40     8        # Join up surrounded numbers
#TEXT   2      42  "Helix Pattern"            
#TEXT   12     42  "Glycine Loop"        # Add text annotations
#TEXT   21     42  "Helix Pattern"
#SUB_ID        49  "Helix Predictions" 
#SUB_ID        58  "Sheet Predictions"   # Change the identifiers for prediction histograms 
#SUB_ID        68  "Turn Predictions"
#INVERSE_CHARS DE ALL
#SHADE_CHARS D ALL 0.5
#SHADE_CHARS E ALL 0.0
#
# (D) Some formatting commands: to illustrate the use of MASK
#
mask SETUP                     #setup the mask
sub_chars 1 1 27 38 SPACE .    #substitute spaces for dots
mask ILLEGAL "."               #. is not to be used in frequency calculation
mask FRE 1 1 27 38             # do the frequency calculation
mask NOT 1 1 27 38
#mask BOX 1 1 27 38             # use the resulting mask to create boxing lines
mask SHADE 1 1 27 38 0.7       # shade 
#mask INVERSE 1 1 27 38         # inverse - could also alter the font
sub_chars 1 1 27 38 . SPACE    # switch the dots back to spaces
#
# (E) Now make the prediction histograms nicer.
# 
#SURROUND_CHARS  H     1     44     27     53
#SHADE_CHARS     H     1     44     27     53     0.5    # Shade the Helix predictions 0.5 grey
#SUB_CHARS       1    44     27     53   H SPACE        	# Substitute " " for "H"
#
#SURROUND_CHARS  E     1     54     27     63            # Surround the Beta Predictions
#SHADE_CHARS     E     1     54     27     63     0.7    # Shade the Beta Predictions
#SUB_CHARS       1    54     27     63   E SPACE         # Substitute the E for space in the beta predictions
#
#SURROUND_CHARS  T     1     64     27     73            # Surround the Turn Predictions
#SHADE_CHARS     T     1     64     27     73     0.9    # Shade the Turn Predictions
#SUB_CHARS       1    64     27     73   T SPACE         # Substitute the T for space in the turn predictions
#
#SUB_ID        75     "Summary Prediction"               # Annotate and shade the summary prediction
#SHADE_CHARS    HY     1     75     27     75     0.5
#SHADE_CHARS    T      1     75     27     75     0.9
#
#
# Now change the identifier codes
#
#ID_FONT ALL 6
